Bug 1734728 - [RFE] Update Java SDK to use OpenJDK 11 - both build and runtime
Summary: [RFE] Update Java SDK to use OpenJDK 11 - both build and runtime
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-sdk-java
Classification: oVirt
Component: General
Version: 4.3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.4.0
: 4.4.1
Assignee: Ori Liel
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On:
Blocks: 1734716
TreeView+ depends on / blocked
 
Reported: 2019-07-31 10:09 UTC by Martin Perina
Modified: 2020-05-20 19:59 UTC (History)
4 users (show)

Fixed In Version: java-ovirt-engine-sdk-4.4.1
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 19:59:59 UTC
oVirt Team: Infra
mperina: ovirt-4.4?
pelauter: planning_ack+
mperina: devel_ack+
lleistne: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 106415 0 master MERGED Upgrade to java 11 2020-06-24 07:13:01 UTC

Description Martin Perina 2019-07-31 10:09:04 UTC
logger-log4j needs to align with oVirt engine and use OpenJDK 11 instead of 8

Comment 1 Martin Perina 2019-07-31 10:16:20 UTC
Sorry, typo: Java SDK needs to align with oVirt engine and use OpenJDK 11 instead of 8

Comment 2 Guilherme Santos 2020-04-23 15:06:38 UTC
Verified on:
ovirt-engine-4.4.0-0.33.master.el8ev.noarch
ovirt-engine-sdk-java-4.4.1

Steps:
1. make sure env is using java-11
# java -version
# javac -version

2. # git clone git://gerrit.ovirt.org/ovirt-engine-sdk-java
3. edited ovirt-engine-sdk-java/automation/build.py to match my env java-11 path on line 37 
4. built the sdk with maven
5. ran a few examples on sdk test folders such as AddVm
# java -cp .:<sdk jar>:<deps jars>:<test-classes dir> org.ovirt.engine.sdk4.examples.AddVm

Results:
Build and execution of examples executed with success

Comment 3 Sandro Bonazzola 2020-05-20 19:59:59 UTC
This bugzilla is included in oVirt 4.4.0 release, published on May 20th 2020.

Since the problem described in this bug report should be
resolved in oVirt 4.4.0 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.